import { App } from 'vue';

// selection
import SvgIcon from './svg-icon/index.vue';
import SelectTask from './select-task/index.vue';
import SelectTeaching from './select-teaching/index.vue';
import SelectAgent from './select-agent/index.vue';
import SelectRangeDatetime from './select-range-datetime/index.vue';
import SelectRangeTime from './select-range-time/index.vue';
import StatusTag from './status-tag/index.vue';

export default {
  install(Vue: App) {
    Vue.component('SvgIcon', SvgIcon);
    Vue.component('SelectTask', SelectTask);
    Vue.component('SelectTeaching', SelectTeaching);
    Vue.component('SelectAgent', SelectAgent);
    Vue.component('SelectRangeDatetime', SelectRangeDatetime);
    Vue.component('SelectRangeTime', SelectRangeTime);
    Vue.component('StatusTag', StatusTag);
  },
};
